SoNodeKit(3IV)

NAME
SoNodeKit — initializes nodekit classes

INHERITS FROM
SoNodeKit

SYNOPSIS
#include <Inventor/nodekits/SoNodeKit.h>

Methods from class SoNodeKit:

static void
init()

DESCRIPTION
This class is used to initialize all nodekit classes.

METHODS
static void
init()
Initialize all nodekit classes by registering them with the database. This function needs to be called before any other nodekit class may be constructed or accessed. Note that this is called automatically by SoInteraction::init() and SoXt::init(), so if you have made either of these calls, there is no need to call SoNodeKit::init() directly.

SEE ALSO
SoAppearanceKit, SoBaseKit, SoCameraKit, SoInteraction, SoLightKit, SoNodeKitDetail, SoNodeKitListPart, SoNodeKitPath, SoNodekitCatalog, SoSceneKit, SoSeparatorKit, SoShapeKit, SoWrapperKit, SoXt